Skip to main content
GET
/
api
/
v1
/
workflows
/
runs
Error
A valid request URL is required to generate request examples
[
  {
    "created_at": "<string>",
    "id": "<string>",
    "payload": "<unknown>",
    "status": "<string>",
    "workflow_id": "<string>",
    "completed_at": "<string>",
    "error": "<string>",
    "result": "<unknown>",
    "root_execution_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string
required

Project ID

Query Parameters

workflow_type
string | null

Filter by workflow type (workflow, agent, tool)

workflow_id
string | null

Filter by workflow ID

limit
integer<int64> | null

Maximum number of results (default: 50)

offset
integer<int64> | null

Offset for pagination

start_time
string | null

Start time filter (RFC3339)

end_time
string | null

End time filter (RFC3339)

Response

List of workflow runs

created_at
string
required

Creation timestamp (RFC3339)

id
string
required

Execution ID

payload
any
required

Input payload

status
string
required

Execution status

workflow_id
string
required

Workflow ID

completed_at
string | null

Completion timestamp (RFC3339)

error
string | null

Error message if failed

result
any

Execution result

root_execution_id
string | null

Root execution ID (for nested workflows)